orte/mca/gpr/gpr_types.h File Reference.TH "orte/mca/gpr/gpr_types.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/gpr/gpr_types.h \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br
\fC#include 'include/orte_types.h'\fP
.br
\fC#include 'mca/schema/schema.h'\fP
.br
\fC#include 'opal/class/opal_object.h'\fP
.br
\fC#include 'class/orte_pointer_array.h'\fP
.br
\fC#include 'dps/dps_types.h'\fP
.br
\fC#include 'mca/ns/ns_types.h'\fP
.br
\fC#include 'mca/rmgr/rmgr_types.h'\fP
.br
\fC#include 'mca/soh/soh_types.h'\fP
.br

.SS "Defines"

.in +1c
.ti -1c
.RI "#define \fBORTE_GPR_NOTIFY_NONE\fP   (uint8_t)0x00"
.br
.RI "\fINo trigger action. \fP"
.ti -1c
.RI "#define \fBORTE_GPR_NOTIFY_VALUE_CHG_TO\fP   (uint8_t)0x01"
.br
.RI "\fINotifies subscriber when value changes to specified value. \fP"
.ti -1c
.RI "#define \fBORTE_GPR_NOTIFY_VALUE_CHG_FRM\fP   (uint8_t)0x02"
.br
.RI "\fINotifies subscriber when value changes away from specified value. \fP"
.ti -1c
.RI "#define \fBORTE_GPR_NOTIFY_VALUE_CHG\fP   (uint8_t)0x03"
.br
.RI "\fINotifies subscriber when value changes. \fP"
.ti -1c
.RI "#define \fBORTE_GPR_NOTIFY_ADD_ENTRY\fP   (uint8_t)0x04"
.br
.RI "\fINotifies subscriber when entry added. \fP"
.ti -1c
.RI "#define \fBORTE_GPR_NOTIFY_DEL_ENTRY\fP   (uint8_t)0x08"
.br
.RI "\fINotifies subscriber when entry deleted. \fP"
.ti -1c
.RI "#define \fBORTE_GPR_NOTIFY_ALL\fP   (uint8_t)0x0f"
.br
.RI "\fINotifies subscriber upon any action. \fP"
.ti -1c
.RI "#define \fBORTE_GPR_NOTIFY_PRE_EXISTING\fP   (uint8_t)0x10"
.br
.RI "\fIProvide list of all pre-existing data. \fP"
.ti -1c
.RI "#define \fBORTE_GPR_NOTIFY_STARTS_AFTER_TRIG\fP   (uint8_t)0x20"
.br
.RI "\fINotifies are off when subscription entered - turned on when trigger fires. \fP"
.ti -1c
.RI "#define \fBORTE_GPR_NOTIFY_DELETE_AFTER_TRIG\fP   (uint8_t)0x40"
.br
.RI "\fIDelete this subscription after associated trigger fires. \fP"
.ti -1c
.RI "#define \fBORTE_GPR_NOTIFY_ANY\fP   (uint8_t)0xff"
.br
.RI "\fIUsed to test if any action flags set. \fP"
.ti -1c
.RI "#define \fBORTE_GPR_NOTIFY_ACTION_T\fP   ORTE_UINT8"
.br
.ti -1c
.RI "#define \fBORTE_GPR_SUBSCRIPTION_ID_T\fP   DPS_TYPE_SIZE_T"
.br
.ti -1c
.RI "#define \fBORTE_GPR_SUBSCRIPTION_ID_MAX\fP   SIZE_MAX"
.br
.ti -1c
.RI "#define \fBORTE_GPR_TRIG_INCLUDE_TRIG_CNTRS\fP   (uint8_t)0x01"
.br
.RI "\fIInclude the trigger data in the notification msg. \fP"
.ti -1c
.RI "#define \fBORTE_GPR_TRIG_ONE_SHOT\fP   (uint8_t)0x02"
.br
.RI "\fIOnly trigger once - then delete trigger. \fP"
.ti -1c
.RI "#define \fBORTE_GPR_TRIG_ROUTE_DATA_THRU_ME\fP   (uint8_t)0x04"
.br
.RI "\fIsend all associated data to trigger callback fn \fP"
.ti -1c
.RI "#define \fBORTE_GPR_TRIG_AT_LEVEL\fP   (uint8_t)0x08"
.br
.RI "\fITrigger whenever count reaches specified level. \fP"
.ti -1c
.RI "#define \fBORTE_GPR_TRIG_CMP_LEVELS\fP   (uint8_t)0x80"
.br
.RI "\fITrigger when all the specified values are equal. \fP"
.ti -1c
.RI "#define \fBORTE_GPR_TRIG_ALL_AT\fP   (uint8_t)0x7b"
.br
.RI "\fIUse all trig defs except include trig data with AT - a typical situation. \fP"
.ti -1c
.RI "#define \fBORTE_GPR_TRIG_ALL_CMP\fP   (uint8_t)0xf3"
.br
.RI "\fIUse all trig defs except include trig data with CMP. \fP"
.ti -1c
.RI "#define \fBORTE_GPR_TRIG_ANY\fP   (uint8_t)0xff"
.br
.RI "\fIUsed to test if any trigs are set. \fP"
.ti -1c
.RI "#define \fBORTE_GPR_TRIGGER_ACTION_T\fP   ORTE_UINT8"
.br
.ti -1c
.RI "#define \fBORTE_GPR_TRIGGER_ID_T\fP   DPS_TYPE_SIZE_T"
.br
.ti -1c
.RI "#define \fBORTE_GPR_TRIGGER_ID_MAX\fP   SIZE_MAX"
.br
.ti -1c
.RI "#define \fBORTE_GPR_TOKENS_AND\fP   (uint16_t)0x0001"
.br
.RI "\fIAND tokens together for search results. \fP"
.ti -1c
.RI "#define \fBORTE_GPR_TOKENS_OR\fP   (uint16_t)0x0002"
.br
.RI "\fIOR tokens for search results. \fP"
.ti -1c
.RI "#define \fBORTE_GPR_TOKENS_XAND\fP   (uint16_t)0x0004"
.br
.RI "\fIAll tokens required, nothing else allowed. \fP"
.ti -1c
.RI "#define \fBORTE_GPR_TOKENS_XOR\fP   (uint16_t)0x0008"
.br
.RI "\fIAny one of the tokens required, nothing else allowed. \fP"
.ti -1c
.RI "#define \fBORTE_GPR_TOKENS_NOT\fP   (uint16_t)0x0040"
.br
.RI "\fIEverything except those that meet specs. \fP"
.ti -1c
.RI "#define \fBORTE_GPR_KEYS_AND\fP   (uint16_t)0x0100"
.br
.RI "\fIAND keys together. \fP"
.ti -1c
.RI "#define \fBORTE_GPR_KEYS_OR\fP   (uint16_t)0x0200"
.br
.RI "\fIOR keys together. \fP"
.ti -1c
.RI "#define \fBORTE_GPR_KEYS_XAND\fP   (uint16_t)0x0400"
.br
.RI "\fIAll keys required, nothing else allowed. \fP"
.ti -1c
.RI "#define \fBORTE_GPR_KEYS_XOR\fP   (uint16_t)0x0800"
.br
.RI "\fIAny one of the keys required, nothing else allowed. \fP"
.ti -1c
.RI "#define \fBORTE_GPR_KEYS_NOT\fP   (uint16_t)0x4000"
.br
.RI "\fIEverything except those that meet specs. \fP"
.ti -1c
.RI "#define \fBORTE_GPR_OVERWRITE\fP   (uint16_t)0x8000"
.br
.RI "\fIAllow overwrite of existing info. \fP"
.ti -1c
.RI "#define \fBORTE_GPR_NO_OVERWRITE\fP   (uint16_t)0x0000"
.br
.RI "\fIDo not allow overwrite of existing info. \fP"
.ti -1c
.RI "#define \fBORTE_GPR_ADDR_MODE_T\fP   ORTE_UINT16"
.br
.ti -1c
.RI "#define \fBORTE_GPR_NOTIFY_MSG_TYPE_T\fP   ORTE_UINT8"
.br
.ti -1c
.RI "#define \fBORTE_GPR_TRIGGER_MSG\fP   (\fBorte_gpr_notify_msg_type_t\fP)0x01"
.br
.ti -1c
.RI "#define \fBORTE_GPR_SUBSCRIPTION_MSG\fP   (\fBorte_gpr_notify_msg_type_t\fP)0x02"
.br
.in -1c
.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef uint8_t \fBorte_gpr_notify_action_t\fP"
.br
.ti -1c
.RI "typedef size_t \fBorte_gpr_subscription_id_t\fP"
.br
.ti -1c
.RI "typedef uint8_t \fBorte_gpr_trigger_action_t\fP"
.br
.ti -1c
.RI "typedef size_t \fBorte_gpr_trigger_id_t\fP"
.br
.ti -1c
.RI "typedef uint16_t \fBorte_gpr_addr_mode_t\fP"
.br
.ti -1c
.RI "typedef uint8_t \fBorte_gpr_notify_msg_type_t\fP"
.br
.RI "\fIReturn message for notify requests. \fP"
.ti -1c
.RI "typedef void(* \fBorte_gpr_notify_cb_fn_t\fP )(\fBorte_gpr_notify_data_t\fP *notify_data, void *user_tag)"
.br
.RI "\fINotify callback function notify_msg = message containing data provided by trigger. \fP"
.ti -1c
.RI "typedef int(* \fBorte_gpr_trigger_cb_fn_t\fP )(orte_gpr_notify_message_t *msg)"
.br
.RI "\fITrigger callback function notify_msg = message containing multiple blocks of data provided by trigger. \fP"
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "OMPI_DECLSPEC \fBOBJ_CLASS_DECLARATION\fP (orte_gpr_keyval_t)"
.br
.ti -1c
.RI "OMPI_DECLSPEC \fBOBJ_CLASS_DECLARATION\fP (\fBorte_gpr_value_t\fP)"
.br
.ti -1c
.RI "OMPI_DECLSPEC \fBOBJ_CLASS_DECLARATION\fP (\fBorte_gpr_notify_data_t\fP)"
.br
.ti -1c
.RI "OMPI_DECLSPEC \fBOBJ_CLASS_DECLARATION\fP (orte_gpr_notify_message_t)"
.br
.ti -1c
.RI "OMPI_DECLSPEC \fBOBJ_CLASS_DECLARATION\fP (\fBorte_gpr_subscription_t\fP)"
.br
.ti -1c
.RI "OMPI_DECLSPEC \fBOBJ_CLASS_DECLARATION\fP (\fBorte_gpr_trigger_t\fP)"
.br
.in -1c
.SH "Detailed Description"
.PP 

.SH "Define Documentation"
.PP 
.SS "#define ORTE_GPR_TOKENS_AND   (uint16_t)0x0001"
.PP
AND tokens together for search results. 
.PP
Token modes 
.SH "Typedef Documentation"
.PP 
.SS "typedef void(* \fBorte_gpr_notify_cb_fn_t\fP)(\fBorte_gpr_notify_data_t\fP *notify_data, void *user_tag)"
.PP
Notify callback function notify_msg = message containing data provided by trigger. 
.PP
user_tag = whatever tag data the user provided when filing the subscription 
.SS "typedef int(* \fBorte_gpr_trigger_cb_fn_t\fP)(orte_gpr_notify_message_t *msg)"
.PP
Trigger callback function notify_msg = message containing multiple blocks of data provided by trigger. 
.PP
user_tag = whatever tag data the user provided when filing the subscription
.PP
Since this only takes place locally, we CAN get a status code from the callback! 
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
